Re: error in AM 9.4 upgradation (280 Views)
Reply
Advisor
sreedevireddy
Posts: 31
Registered: ‎11-25-2013
Message 1 of 6 (328 Views)
Accepted Solution

error in AM 9.4 upgradation

When I am upgrading AM 5.22 to AM 9.4,I am getting the error in following step

"

6. Select Action/ Templates/ ORACLE batch for BLOB migration from the menu bar.
This generates an Oracle SQL+ batch file named migratelob.sql by default, which contains
instructions to convert LONG and LONGRAW fields to CLOB and BLOB respectively.
7. Use a database utility such as ORACLE SQL+ Prompt to run the migratelob.sql batch file.
Example:
SQL> @C:\Users\encornet\AppData\Local\Temp\migratelob.sql
This converts fields to the new data types, after which the standard database upgrade can
proceed."

 

After run this SQL command,I am getting the attached error

Please use plain text.
Honored Contributor
Mark Cullen_1
Posts: 1,221
Registered: ‎03-17-2010
Message 2 of 6 (288 Views)

Re: error in AM 9.4 upgradation

The migratelob.sql you generated created statements for those archive tables.  The error messages state those tables do not exist.  No need to execute those statements.

 

I cannot remember if the migratelob.sql gets generated with those statements default or if archiving is actually enabled.  Either way this script needs to execute against your 522 database and not 940.

Please use plain text.
HP Expert
Priya_B
Posts: 534
Registered: ‎10-25-2012
Message 3 of 6 (280 Views)

Re: error in AM 9.4 upgradation

Starting with version 5.20, Asset Manager database based on Oracle employs
CLOB/BLOB data types for fields that previously used LONG and LONGRAW
respectively. 

 

Since you already have 5.22 I do not think you need to run these commands as the data types should be in place. 

HP Support - If this post or any post helps you resolve an issue, please be sure to mark it as an acceptable solution.
Like a post, Please click Kudos to show appreciation !
Please use plain text.
Advisor
sreedevireddy
Posts: 31
Registered: ‎11-25-2013
Message 4 of 6 (271 Views)

Re: error in AM 9.4 upgradation

[ Edited ]

Thanks Priya.I am getting one more error during upgradation.
Step:Importing the Standard Reports Provided with
Asset Manager 9.40
(1)Select the Open database description file - create new database option.
2. Select the standard 9.40 gbbase.xml file, located in the config sub-folder of the
Asset Manager 9.40 installation folder.
3. Select the Action/ Create database menu.
4. Populate the pages of the wizard as follows (navigate through the wizard pages using the Next
and Previous buttons):
Generate SQL script / Create database page:)

Error:"This script does not have the necessary write-access rights.('Line 3 of script 'pgCrBase.bEmptyDb.Value,line 140")

Please use plain text.
HP Expert
Priya_B
Posts: 534
Registered: ‎10-25-2012
Message 5 of 6 (261 Views)

Re: error in AM 9.4 upgradation

Hello Sreedevi, 

 

This is a known error and fixed in the first patch of 9.40 

 

Please see this document .

 

http://support.openview.hp.com/selfsolve/document/KM00651854

 

HP Support - If this post or any post helps you resolve an issue, please be sure to mark it as an acceptable solution.
Like a post, Please click Kudos to show appreciation !
Please use plain text.
Advisor
sreedevireddy
Posts: 31
Registered: ‎11-25-2013
Message 6 of 6 (250 Views)

Re: error in AM 9.4 upgradation

Thanks Priya
Please use plain text.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation